Skip to main content
GET
/
private-api
/
v1
/
{workspace_id}
/
farms
/
{farm_id}
/
miners
/
stats
Get Miner Stats
curl --request GET \
  --url https://api.nonce.app/private-api/v1/{workspace_id}/farms/{farm_id}/miners/stats \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.nonce.app/private-api/v1/{workspace_id}/farms/{farm_id}/miners/stats"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.nonce.app/private-api/v1/{workspace_id}/farms/{farm_id}/miners/stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "data": {
    "theo": 123,
    "total": 123,
    "by_type": {
      "healthy": 123,
      "abnormal": 123,
      "sleep": 123,
      "stale": 123
    },
    "by_abnormal_type": {
      "hashboard": {
        "count": 123,
        "also_has": {}
      },
      "temperature": {
        "count": 123,
        "also_has": {}
      },
      "fan": {
        "count": 123,
        "also_has": {}
      },
      "network": {
        "count": 123,
        "also_has": {}
      },
      "pool": {
        "count": 123,
        "also_has": {}
      },
      "power": {
        "count": 123,
        "also_has": {}
      },
      "control_board": {
        "count": 123,
        "also_has": {}
      },
      "firmware": {
        "count": 123,
        "also_has": {}
      },
      "low_hashrate": {
        "count": 123,
        "also_has": {}
      },
      "unknown": {
        "count": 123,
        "also_has": {}
      }
    },
    "mining_mode": [
      {
        "mode": "<string>",
        "count": 123
      }
    ],
    "miner_model": [
      {
        "model": "<string>",
        "count": 123
      }
    ]
  },
  "error": null
}
{
"statusCode": 400,
"message": "Invalid request parameters",
"error": "Bad Request"
}
{
"statusCode": 401,
"message": "Invalid or missing API key",
"error": "Unauthorized"
}
{
"statusCode": 403,
"message": "Access denied to workspace",
"error": "Forbidden"
}
{
"statusCode": 404,
"message": "Resource not found",
"error": "Not Found"
}

Authorizations

Authorization
string
header
required

Clerk Machine API Key for authentication

Path Parameters

workspace_id
string
required
farm_id
string
required

Response

Successfully retrieved miner stats

success
boolean
required

Indicates if the request was successful

Example:

true

data
object
required
error
null
required

Error object (null on success)

Example:

null